#ifndef UMAX_DEBUG_H
#define UMAX_DEBUG_H

#include <stdio.h>

void dump_send (char *buf, int len, int f);
void dump_receive (char *buf, int len, unsigned int res, int f);

/* --------------------------------- DBG ----------------------------------- */

#define DBG(level,msg, args...) \
if (level <= us->verbose) { fprintf(stderr, msg, ##args); }

/* ------------------------------ DBG_INIT --------------------------------- */

#define DBG_INIT() { us->verbose = 0; }


#endif /* UMAX_DEBUG_H */
